Tyler Gibson's Projects!

HowTo Guides

A 3-posts collection

Monoprice Select Mini - Part 2: Flashing the Firmware

CAUTION - THIS IS ONLY FOR V1 Printers, and only necessary for firmware revisions older than 22.41. Do not attempt to upgrade firmware on V2 printers. After you've gotten your brand new Select Mini out...